Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.functions
Class UMinus

    java.lang.Object
      com.singularsys.jep.functions.PostfixMathCommand
          com.singularsys.jep.functions.UnaryFunction
              com.singularsys.jep.functions.UMinus

All Implemented Interfaces:
  PostfixMathCommandI, RealUnaryFunction, java.io.Serializable

    public class UMinus

extends UnaryFunction
implements RealUnaryFunction

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.singularsys.jep.functions.PostfixMathCommand
`curNumberOfParameters, name, NaN, numberOfParameters`

Constructor Summary
`UMinus()`

Method Summary
`java.lang.Object` | `eval(java.lang.Object arg)`
`double` | `evaluate(double val)`
`java.lang.Object` | `umin(java.lang.Object param)`

Methods inherited from class com.singularsys.jep.functions.UnaryFunction
`run`

Methods inherited from class com.singularsys.jep.functions.PostfixMathCommand
`asArray, asBool, asDouble, asInt, asLong, asStrictInt, asString, checkNumberOfParameters, checkStack, getName, getNumberOfParameters, setCurNumberOfParameters, setName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UMinus

    public UMinus()

Method Detail

### eval

    public java.lang.Object eval(java.lang.Object arg)
                          throws EvaluationException

  Specified by:
    `eval` in class `UnaryFunction`
  Throws:
    `EvaluationException`

### umin

    public java.lang.Object umin(java.lang.Object param)
                          throws EvaluationException

  Throws:
    `EvaluationException`

### evaluate

    public double evaluate(double val)

  Specified by:
    `evaluate` in interface `RealUnaryFunction`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep